CHICKEN-SETUP(1)

NAME
chicken-setup - program to simplify building and installation of extension libraries for the CHICKEN Scheme system.

SYNOPSIS
chicken-setup [ option ] [ extension ]

DESCRIPTION
chicken-setup is a program that compiles and installs a prepackaged extension library. Extension libraries are either plain Scheme files with the .scm file-extension or gzipped tar files with the file-extension .egg Single Scheme files are compiled into a dynamically loadable file and installed in the extension repository. More complex installation procedures can be performed by packaging an extension in an .egg archive, that in addition to the source files contains a Scheme script of the same name as the library, but with the .setup file-extension. After extracting the files the setup script will be loaded and executed. If no extension name is given on the command-line, then any existing .setup scripts in the current directory are processed. chicken-setup is a full Scheme interpreter with the same functionality as csi but with a number of additional procedures and macros to simplify the building and installation of extension libraries. See the Chicken manual for more information.

OPTIONS

-check
    Downloads the repository-index and lists locally installed extensions for which a newer release is available for download.

-csc-optionoption
    Passes option as an extra argument to invocations of the compiler-driver ( csc ). This works only if csc is invoked as (run (csc ...))

-destdir pathname
    Specifies alternative installation prefix by setting the installation-prefix parameter.

-docindex
    Displays the path to the index-page of any installed extension-documentation. If the index page does not exist, it is created.

-dont-ask
    Do not ask the user before trying to download required extensions.

-eval expression
    Evaluates the given expression(s).

-fetch
    Only download, don't extract, build or install.

-fetch-tree
    Downloads and prints the repository catalog to stdout.

-help
    Show usage information and exit.

-host hostname:port
    Specifies alternative host for downloading extensions. port may be omitted and defaults to 80.

-keep
    Keep temporary files and directories.

-list
    List all installed extensions and exit, or show extension-information of extensions given on the command-line (following this option).

-local path
    Fetch extension sources from local filesystem at path instead of downloading egg from egg server.

-no-install
    Do not install generated binaries and/or support files. Any invocations of install-program , install-extension or install-script will be be no-ops.

-program-path
    Display the path where executables are installed.

-program-path directory
    Sets the location where executables are installed.

-proxy hostname:port
    Connect to server via proxy. port may be omitted and defaults to 80.

-repository
    Displays the name of the extension repository.

-repository directory
    Sets the location of the extension repository for all subsequent operations. The default repository path is the installation library directory (usually usrlocallibchicken , or (if set) the directory given in the environment variable CHICKEN_REPOSITORY

-revision revision
    Specifies the subversion revision that you want to check out (only useful in combination with the -svn option).

-run filename
    Load and execute given file.

-script filename
    Executes the given Scheme source file with all remaining arguments and exit.

-svn url
    Fetch extension sources from Subversion (http://subversion.tigris.org) repository, instead of downloading egg from egg server.

-tree filename
    Uses the repository catalog stored in filename instead of downloading it.

-uninstall
    Removes all following extensions from repository.

-verbose
    Display additional information (mainly for debugging).

-version
    Display version and exit.

--  Ignore all further arguments.

ENVIRONMENT VARIABLES

CHICKEN_PREFIX
    An alternative installation prefix, where the Scheme-to-C translator and any support files and libraries are located. Defaults to the installation time prefix given when configuring the system.

CHICKEN_REPOSITORY
    The path where extension libraries are installed. Defaults to the package-library path selected during configuration (usually $prefix/lib/chicken/<binary-version> )

CHICKEN_SETUP_OPTIONS
    A string with default options that should be passed to every invocation of chicken-setup

BUGS
Submit bug reports by e-mail to felix@call-with-current-continuation.org

AUTHOR
chicken-setup was written by Felix L. Winkelmann (felix@call-with-current-continuation.org).

SEE ALSO
chicken(1) chicken-config(1) csc(1)